The Transfer object

Description

A transfer is a request to relocate funds from one wallet to another in the same currency. To convert funds between wallets of different currencies, see Conversions.

Note – SCA applies to Owner-initiated transfers

Transfers between two different users with the UserCategory of OWNER are in scope of SCA. Unless Mangopay can apply an exemption (such as for low-amount or low-risk transfers), these transfers require your platform to redirect the user to a Mangopay-hosted webpage where they can authenticate.

The parameter ScaContext allows your platform to introduce SCA on these transfers with the value USER_PRESENT, and to declare other transfers as not requiring SCA redirection with the value USER_NOT_PRESENT.

Read more about SCA on transfers

Attributes

ScaContext
string

Possible values: USER_PRESENT, USER_NOT_PRESENT

The SCA context of the request, which is required if the debited wallet owner’s UserCategory is OWNER:

  • USER_PRESENT – The user is taking the SCA-triggering action of initiating a transfer. The platform must redirect the user using the PendingUserAction.RedirectUrl returned so that the user can complete the SCA session (unless Mangopay applied an exemption for low-amount and low-risk transfers, so no redirection link was returned).
  • USER_NOT_PRESENT – The platform is taking the action under proxy from the user and the user has previously given consent to Mangopay (via the SCA hosted experience) to allow the action. If the user has not given (or has revoked) their consent, then USER_NOT_PRESENT returns a 403 error.

Read more about managing proxy and user consent

Note: For existing platforms, the parameter is technically optional if the debited wallet owner’s UserCategory is OWNER, and the default value will become USER_PRESENT from Dec 15, 2025 (Dec 1 in Sandbox)

Id
string

The unique identifier of the object.

Tag
string

Max. length: 255 characters
Custom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.

CreationDate
Unix timestamp

The date and time at which the object was created.

AuthorId
stringRequired

The unique identifier of the user at the source of the transaction.
Best practice: When the payout author is different from the bank account owner, the Payout AuthorId value must be different from the Bank Account UserId value as well. Otherwise, Mangopay’s Compliance team will reject the payout.

CreditedUserId
string

Default value: The unique identifier of the owner of the credited wallet.

The unique identifier of the user whose wallet is credited.

DebitedFunds
objectRequired

Information about the debited funds.

Currency
stringRequired

Allowed values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).

The currency of the funds.

Amount
integerRequired

An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as 1260 whereas JPY 12 would be represented as just 12).

CreditedFunds
object

Information about the credited funds (CreditedFunds = DebitedFunds - Fees).

Currency
stringRequired

Allowed values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).

The currency of the credited funds.

Amount
integer

An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as 1260 whereas JPY 12 would be represented as just 12).

Fees
objectRequired

Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).

Currency
stringRequired

Allowed values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).

The currency of the debited funds.

Amount
integerRequired

An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as 1260 whereas JPY 12 would be represented as just 12).

Status
string

Returned values: CREATED, SUCCEEDED, FAILED

The status of the transaction.

ResultCode
string

The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.

ResultMessage
string

The explanation of the result code.

ExecutionDate
Unix timestamp

The date and time at which the status changed to SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.

Type
string

Returned values: PAYIN, TRANSFER, CONVERSION, PAYOUT

The type of the transaction.

Nature
array

Allowed values: REGULAR, REPUDIATION, REFUND, SETTLEMENT

The transaction natures to be taken into account.

  • REGULAR – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
  • REPUDIATION – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).
  • REFUND – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
  • SETTLEMENT – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
DebitedWalletId
stringRequired

The unique identifier of the debited wallet.

CreditedWalletId
stringRequired

The unique identifier of the credited wallet (in the buy currency).

PendingUserAction
object

Object containing the link needed for SCA redirection if triggered by the API call (otherwise returned null).

properties
RedirectUrl
string

The URL to which to redirect the user to perform strong customer authentication (SCA) via a Mangopay-hosted webpage. This value is a variable and should not be hardcoded.

The SCA session link expires 10 minutes after it’s generated.

Caution: Before redirecting the user on this URL, you must add the query parameter ReturnUrl with the percent-encoded URL to which you want the SCA session to return the user after authentication (whether successful or not).

For more details, see How to redirect a user for an SCA session.